<?php 
require_once "../modelos/Promociones.php";
if (strlen(session_id())<1) 
	session_start();

$promociones				=new Promociones();

$idpromociones			=isset($_POST["idpromociones"])? 		limpiarCadena($_POST["idpromociones"]):"";
$idproductoc				=isset($_POST["idproductoc"])? 		limpiarCadena($_POST["idproductoc"]):"";
$idalmacenc					=isset($_POST["idalmacenc"])? 		limpiarCadena($_POST["idalmacenc"]):"";
$idusuario					=$_SESSION["idusuario"];
$tipo_comprobante		=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])?limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante		=isset($_POST["num_comprobante"])? 	limpiarCadena($_POST["num_comprobante"]):"";
$num_suministro			=isset($_POST["num_suministro"])? 	$_POST["num_suministro"]:"";
$fecha_hora					=isset($_POST["fecha_hora"])? 		limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horar				=isset($_POST["fecha_horar"])? 		limpiarCadena($_POST["fecha_horar"]):"";
$impuesto						=isset($_POST["impuesto"])? 		limpiarCadena($_POST["impuesto"]):"";
$total_compra				=isset($_POST["total_compra"])? 	limpiarCadena($_POST["total_compra"]):"";
$almacen						=isset($_POST["almacen"])? 			limpiarCadena($_POST["almacen"]):"";
$tasa_dollar				=isset($_POST["tasa_dollar"])? 			limpiarCadena($_POST["tasa_dollar"]):"";

//$codigo_barra		=isset($_POST["cod_barra"])? 		limpiarCadena($_POST["cod_barra"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idpromociones)) {
			$rspta=$promociones->insertar($idproductoc,$idalmacenc,$idusuario,$fecha_hora,$tasa_dollar,$_POST["idarticulo"],
			$_POST["idalmacen"],$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["precio_ventad"]);
			echo $rspta ? "Los datos del articulo se registraron correctamente" : "No se pudo registrar los datos del articulo";
		}else{
			$rspta=$promociones->editar($idpromociones,$idproductoc,$idalmacenc,$idusuario,$fecha_hora,$tasa_dollar,$_POST["idarticulo"],
			$_POST["idalmacen"],$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["precio_ventad"]);
			echo $rspta ? "Los datos del articulo se actualizarón correctamente" : "No se pudo actualizar los datos del articulo";
		}
	break;
	

	case 'anular':
		$rspta=$promociones->anular($idpromociones);
		echo $rspta ? "promociones anulado correctamente" : "No se pudo anular el promociones";
	break;
	
	case 'mostrar':
		$rspta=$promociones->mostrar($idpromociones);
		echo json_encode($rspta);
	break;

	case 'buscarnrosuministro':
		$rspta=$promociones->buscarnrosuministro();
		echo json_encode($rspta);
	break;

	case 'buscarAlmacen':
		$rspta=$promociones->buscarAlmacen($almacen);
		echo json_encode($rspta);
	break;
	
	case 'agregarDetalleCodigoDeBarra':
		$codigo_barra	=$_POST["codigobarra"];
		$rspta=$promociones->agregarDetalleCodigoDeBarra($codigo_barra);
		echo json_encode($rspta);
	break;	
	
	case 'listarDetalle':
		//recibimos el idpromociones
		$id			= $_GET['id'];

		$rspta		= $promociones->listarDetalle($id);
		$total		= 0;
    $total1		= 0;
		$cabecera = "";
		$cuerpo		= "";
		$cuerpot	= "";
		$pie 			= "";	
		$subtotal	= 0;
		$cabecera	= '<thead style="background-color:#A9D0F5">
		<th>Opciones</th>
		<th>Articulo</th>
		<th>Precio</th>
		<th>Cantidad</th>
		<th>Sub-Total</th>
		<th></th>
        </thead>';
		 $cont =0;
		while ($reg=$rspta->fetch_object()) {
			/* '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
        '<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
        '<td><input type="text" name="cantidad[]" id="cantidad[]" value="'+number_format(cantidad)+'">'+ */
			$subtotal	=	$reg->cantidad * $reg->preciod;
			$cuerpo 	= '<tr class="filas" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
      <td style="text-align:left;width:130px"><input type="text" style="text-align:right;width:120px" name="precio_ventad[]" id="precio_ventad[]" value="'.number_format($reg->preciod,2,',','.').'"></td>
			<td style="text-align:left;width:90px"><input type="text" style="text-align:right;width:80px" name="cantidad[]" id="cantidad[]" value="'.number_format($reg->cantidad,0,',','.').'"></td>
			<td style="text-align:left;width:130px"><input type="text" style="text-align:right;width:120px"name="subtotal[]" id="subtotal[]" value="'.number_format($subtotal,2,',','.').'" ></td>
			<td><input type="hidden" name="precio_compra[]" id="precio_compra[]" value="0">
			<input type="hidden" name="precio_comprad[]" id="precio_compra[]" value="0">
			<input type="hidden" name="precio_venta[]"  value="0">
			<input type="hidden" name="nrolote[]" id=""nrolote[]" value="N/A">
			<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="N/A" >
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'" >
      <button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>
			</tr>';
			$cont++;
			$cuerpot 		= $cuerpot.$cuerpo;
			$total    	= $total+$reg->cantidad;
      $total1    	= $total1+($reg->cantidad * $reg->preciod);
		}
		$pie = '<tfoot>
		<th>TOTAL</th>
		<th></th>
		<th></th>
		<th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4>
		<input type="hidden" name="total_compra" id="total_compra" value="'.$total.'" ></th>
		
		<th style="text-align:right"><h4 id="total1">Bs. '.number_format($total1,2,',','.').'</h4>
		<input type="hidden" name="total_compra1" id="total_compra1" value="'.$total1.'" ></th>
		<th></th>
       </tfoot>';
	   echo $cabecera.$cuerpot.$pie;
	break;

	case 'listarDetallepromociones':
		//recibimos el idpromociones
		$id			= $_GET['id'];

		$rspta		= $promociones->listarDetallepromociones($id);
		$total		= 0;
    $total1		= 0;
		$cabecera = "";
		$cuerpo		= "";
		$cuerpot	= "";
		$pie 			= "";
		$idarticulopromociones = "";	
		$cabecera	= '<thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Precio</th>
        <th>Cantidad</th>
        <th>Sub-Total</th>
        <th></th>
        </thead>';
		 $cont =0;
		while ($reg=$rspta->fetch_object()) {
			/* '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
        '<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
        '<td><input type="text" name="cantidad[]" id="cantidad[]" value="'+number_format(cantidad)+'">'+ */
			$subtotal	=	$reg->cantidad * $reg->preciod;	
			$cuerpo = '<tr class="filas" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
      <td style="text-align:left;width:130px"><input type="text" style="text-align:right;width:120px" name="precio_ventad[]" id="precio_ventad[]" value="'.number_format($reg->preciod,2,',','.').'"></td>
			<td style="text-align:left;width:90px"><input type="text" style="text-align:right;width:80px" name="cantidad[]" id="cantidad[]" value="'.number_format($reg->cantidad,0,',','.').'"></td>
			<td style="text-align:left;width:130px"><input type="text" style="text-align:right;width:120px"name="subtotal[]" id="subtotal[]" value="'.number_format($subtotal,2,',','.').'" ></td>
      <td><input type="hidden" name="precio_compra[]" id="precio_compra[]" value="0">
			<input type="hidden" name="precio_comprad[]" id="precio_compra[]" value="0">
			<input type="hidden" name="precio_venta[]"  value="0">
			<input type="hidden" name="nrolote[]" id=""nrolote[]" value="N/A">
			<input type="hidden" name="fecha_lote[]" id="fecha_lote[]" value="N/A" >
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'" >
      <button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>
			</tr>';
			$cont++;
			$cuerpot  = $cuerpot.$cuerpo;
			$total    = $total+$reg->cantidad;
      $total1   = $total1+($reg->cantidad * $reg->preciod);
			$idarticulopromociones = $reg->idarticulopromociones;
		}
		$pie = '<tfoot>
          <th>TOTAL</th>
          <th></th>
          <th></th>
          <th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4>
		      <input type="hidden" name="total_compra" id="total_compra" value="'.$total.'" ></th>
          
          <th style="text-align:right"><h4 id="total1">Bs. '.number_format($total1,2,',','.').'</h4>
		      <input type="hidden" name="total_compra1" id="total_compra1" value="'.$total1.'" >
					<input type="hidden" name="idpromociones1" id="idpromociones1" value="'.$idarticulopromociones.'" >
					</th>
          <th></th>
          </tfoot>';
	   echo $cabecera.$cuerpot.$pie;
	break;

  case 'listar':
			$rspta=$promociones->listar();
			$data=Array();

			while ($reg=$rspta->fetch_object()) {
				$data[]=array(
							"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulopromociones.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idarticulopromociones.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulopromociones.')"><i class="fa fa-eye"></i></button>',
							"1"=>$reg->nombre,
							"2"=>$reg->usuario,
							"3"=>$reg->fecha,
							"4"=>($reg->estado=='Activo')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
								);
			}
			$results=array(
							"sEcho"=>1,//info para datatables
							"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
							"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
							"aaData"=>$data); 
			echo json_encode($results);
	break;

	case 'listara':
		$rspta=$promociones->listara();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpromociones.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpromociones.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpromociones.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listars':
		$rspta=$promociones->listars();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpromociones.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpromociones.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpromociones.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_suministro,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectProveedor':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectpromociones':
		require_once "../modelos/Articulo.php";
		$articulo 	= new Articulo();

		$rspta 		= $articulo->listarroductocombo();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Producto';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idarticulo.'-'.$reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectProveedorSuministro':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			$selected = '';
			if ($reg->nombre=='BODEGART'){
				$selected = 'selected';
			}
			echo '<option value='.$reg->idpersona.'"" '.$selected.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarpromociones();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->precio_venta.'\',\''.$reg->preciod.'\',\''.$reg->preciodsiniva.'\',\''.$reg->exento.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulosindividual':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarpromocionesindividual();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->precio_venta.'\',\''.$reg->preciod.'\',\''.$reg->preciodsiniva.'\',\''.$reg->exento.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
		
	case 'listarArticuloBarra':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetinSuministro();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->precio.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
			
	case 'listarServiciosrespaldo':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosCompra();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//a.idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,a.descripcion,a.condicion
		$tipos='S';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->precio,
						"4"=>$reg->porcentaje
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
}
 ?>